org.apache.cassandra.tools

## Class NodeTool.NodeToolCmd

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool.NodeToolCmd

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  Assassinate, BootstrapResume, Cleanup, ClearSnapshot, Compact, CompactionHistory, CompactionStats, Decommission, DescribeCluster, DescribeRing, DisableAutoCompaction, DisableBackup, DisableBinary, DisableGossip, DisableHandoff, DisableThrift, Drain, EnableAutoCompaction, EnableBackup, EnableBinary, EnableGossip, EnableHandoff, EnableThrift, FailureDetectorInfo, Flush, GcStats, GetCompactionThreshold, GetCompactionThroughput, GetEndpoints, GetInterDCStreamThroughput, GetLoggingLevels, GetSSTables, GetStreamThroughput, GetTraceProbability, GossipInfo, Info, InvalidateCounterCache, InvalidateKeyCache, InvalidateRowCache, Join, ListSnapshots, Move, NetStats, PauseHandoff, ProxyHistograms, RangeKeySample, Rebuild, RebuildIndex, Refresh, RefreshSizeEstimates, ReloadTriggers, RemoveNode, Repair, ResetLocalSchema, ResumeHandoff, Ring, Scrub, SetCacheCapacity, SetCacheKeysToSave, SetCompactionThreshold, SetCompactionThroughput, SetHintedHandoffThrottleInKB, SetInterDCStreamThroughput, SetLoggingLevel, SetStreamThroughput, SetTraceProbability, Snapshot, Status, StatusBackup, StatusBinary, StatusGossip, StatusHandoff, StatusThrift, Stop, StopDaemon, TableHistograms, TableStats, TopPartitions, TpStats, TruncateHints, UpgradeSSTable, Verify, Version

Enclosing class:
  NodeTool

    public abstract static class NodeTool.NodeToolCmd
    extends java.lang.Object
    implements java.lang.Runnable

### Constructor Summary

Constructors
Constructor and Description
`NodeToolCmd()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `execute(NodeProbe probe)`
`protected java.lang.String[]` `parseOptionalColumnFamilies(java.util.List<java.lang.String> cmdArgs)`
`protected java.util.List<java.lang.String>` `parseOptionalKeyspace(java.util.List<java.lang.String> cmdArgs, NodeProbe nodeProbe)`
`protected java.util.List<java.lang.String>` `parseOptionalKeyspace(java.util.List<java.lang.String> cmdArgs, NodeProbe nodeProbe, boolean includeSystemKS)`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeToolCmd

    public NodeToolCmd()

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### execute

    protected abstract void execute(NodeProbe probe)

#### parseOptionalKeyspace

    protected java.util.List<java.lang.String> parseOptionalKeyspace(java.util.List<java.lang.String> cmdArgs,
                                                                     NodeProbe nodeProbe)

#### parseOptionalKeyspace

    protected java.util.List<java.lang.String> parseOptionalKeyspace(java.util.List<java.lang.String> cmdArgs,
                                                                     NodeProbe nodeProbe,
                                                                     boolean includeSystemKS)

#### parseOptionalColumnFamilies

    protected java.lang.String[] parseOptionalColumnFamilies(java.util.List<java.lang.String> cmdArgs)